function  varargout=demo23(MshFileVersion)
  if nargin==0,MshFileVersion='4.1';end
  assert( ismember(MshFileVersion,{'4.0','4.1'} ) )
  fprintf('--------------- demo23\n')
  fprintf('2D meshing with gmsh.buildpartrectangle function using ''MshFileVersion''=''%s''(default)\n',MshFileVersion);
  fprintf('---------------\n')
  fprintf('1. Using gmsh.buildpartrectangle function :\n')
  meshfile=fc_oogmsh.gmsh.buildpartrectangle(3,2,30,20,100,'verbose',4,'force',true,'MshFileVersion',MshFileVersion);
  fprintf('   -> msh file : %s\n',fc_oogmsh.pathrep(meshfile));
  fprintf('2. Reading mesh file\n')
  Gh=fc_oogmsh.ooGmsh4(meshfile)
  if nargout==1,varargout{1}=Gh;end
end
